Bug 367583 - Add settings entry to trash context menu
Summary: Add settings entry to trash context menu
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: folders (show other bugs)
Version: 17.04.2
Platform: Neon Packages Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-19 18:59 UTC by KDE Neon user
Modified: 2021-05-20 16:04 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.08


Attachments
Screenshot - Configure Trash (64.50 KB, image/png)
2021-05-15 13:00 UTC, Saravanan K
Details

Note You need to log in before you can comment on or make changes to this bug.
Description KDE Neon user 2016-08-19 18:59:09 UTC
When you right click on the trash icon on the panel, there's no option to open the trash settings (Preferences -> Trash). Consider adding it.

Reproducible: Always
Comment 1 Gregor Mi 2018-04-01 07:14:01 UTC
I would say it also makes sense to add the Trash settings to the Trash icon when it is placed on the Folder View Desktop.
Comment 2 Saravanan K 2021-05-15 13:00:26 UTC
Created attachment 138454 [details]
Screenshot - Configure Trash

Right click on the trash icon on the panel will show Configure trash option. On-clicking it will take to Dolphin Preferences focusing on Trash settings. Is this what you asked for? Shall I submit a merge request.
Comment 3 Bug Janitor Service 2021-05-16 14:34:42 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/209
Comment 4 Nate Graham 2021-05-20 16:04:47 UTC
Git commit 6b64c7ff56e0025608d03f21e64f47431e23ef23 by Nate Graham, on behalf of Saravanan K.
Committed on 20/05/2021 at 16:04.
Pushed by ngraham into branch 'master'.

Add action to places panel context menu trash entry to open trash settings
FIXED-IN: 21.08

M  +12   -1    src/panels/places/placespanel.cpp
M  +2    -2    src/settings/dolphinsettingsdialog.cpp
M  +2    -0    src/settings/dolphinsettingsdialog.h

https://invent.kde.org/system/dolphin/commit/6b64c7ff56e0025608d03f21e64f47431e23ef23